#global snapdate 20160420
#global snaphash 2588bd4ac1af8c0357334554d2fc239450ae93d1

Name:           libhawaii
Summary:        Core share library for Hawaii desktop suite
Version:        0.8.0
Release:        2%{?snaphash:.%{snapdate}git%(echo %{snaphash} | cut -c -13)}%{?dist}
License:        LGPLv3+
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/%{?snaphash:archive}%{!?snaphash:releases/download}/%{?snaphash}%{!?snaphash:v%{version}}/%{name}-%{?snaphash}%{!?snaphash:%{version}}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(gio-2.0) >= 2.31.0
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

%description
Core utility library for all Hawaii components.


%package devel
Summary:        Development files for libhawaii
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       extra-cmake-modules
Requires:       pkgconfig(gio-2.0) >= 2.31.0
Requires:       cmake(Qt5LinguistTools)

%description devel
%{summary}.


%prep
%setup -q -n %{?snaphash:%{name}-%{snaphash}}%{!?snaphash:%{name}-%{version}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.LGPLv3
%doc AUTHORS.md README.md
%{_kf5_qmldir}/*
%{_libdir}/libHawaii*.so.*


%files devel
%{_includedir}/Hawaii
%{_libdir}/cmake/Hawaii
%{_libdir}/libHawaii*.so


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Sun Jun 26 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.7.0-1
- Update to Hawaii 0.7

* Wed Apr 20 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160420git2588bd4ac1af8
- Update snapshot

* Mon Feb 29 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160222git
- Update snapshot

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 14 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Thu Sep 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.90-1
- Update to 0.5.90 and use %%license.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-3
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-2
- Add missing scritplets (Tomas Hrcka, #1109556)
- Omit unneeded libraries (Tomas Hrcka, #1109556)
- -devel: Depend on main package (Tomas Hrcka, #1109556)

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-1
- Initial packaging
